OpenNMS API 1.2.9

## org.opennms.netmgt.rrd
Class QueuingRrdStrategy.CreateOperation

    java.lang.Object
      org.opennms.netmgt.rrd.QueuingRrdStrategy.Operation
          org.opennms.netmgt.rrd.QueuingRrdStrategy.CreateOperation

Enclosing class:
  QueuingRrdStrategy

public class QueuingRrdStrategy.CreateOperation
extends QueuingRrdStrategy.Operation

This class represents an operation to create an rrd file

Field Summary
`(package private) java.lang.Object` `data`
`(package private) java.lang.String` `fileName`
`(package private) boolean` `significant`
`(package private) int` `type`

Constructor Summary
`(package private)` `QueuingRrdStrategy.CreateOperation(java.lang.String fileName, java.lang.Object rrdDef)`

Method Summary
`(package private) void` `addToPendingList(java.util.LinkedList pendingOperations)`
`(package private) int` `getCount()`
`(package private) java.lang.Object` `getData()`
`(package private) java.lang.String` `getFileName()`
`(package private) int` `getType()`
`(package private) boolean` `isSignificant()`
`(package private) java.lang.Object` `process(java.lang.Object rrd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileName

    java.lang.String fileName

### type

    int type

### data

    java.lang.Object data

### significant

    boolean significant

Constructor Detail

### QueuingRrdStrategy.CreateOperation

    QueuingRrdStrategy.CreateOperation(java.lang.String fileName,
                                       java.lang.Object rrdDef)

Method Detail

### process

    java.lang.Object process(java.lang.Object rrd)
                       throws java.lang.Exception

  Specified by:
    `process` in class `QueuingRrdStrategy.Operation`
  Throws:
    `java.lang.Exception`

### getCount

    int getCount()

### getFileName

    java.lang.String getFileName()

### getType

    int getType()

### getData

    java.lang.Object getData()

### isSignificant

    boolean isSignificant()

### addToPendingList

    void addToPendingList(java.util.LinkedList pendingOperations)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.